Reconcile Ai Assistants Platform

Reconcile Ai Assistants Platform
Reconcile AI Assistants platform state.

Triggers a reconciliation of the AI Assistants platform. Ensures all configuration, content, and runtime state are consistent. Returns a list of steps that were executed with their success/failure status.

Request
URI
POST
https://{api_host}/ai-assistants/platform/reconcile
COPY
Query Parameters
boolean
force_bundle_import
Optional
Constraints: default: false

Whether to force re-import of bundles even if already imported. Defaults to false.


Authentication
This operation uses the following authentication methods.
Responses
202

Reconciliation accepted. Synchronous steps completed and their results are in the response body. Asynchronous tasks were started and their progress can be tracked via the async_tasks status_url in the step result.

Returns AIAssistantsReconcileResult of type(s) application/json
{
    "overall_success": true,
    "results": [
        {
            "step_name": "sync_proxy_config",
            "status": "SUCCESS",
            "message": "Proxy configuration updated successfully"
        },
        {
            "step_name": "sync_platform",
            "status": "SUCCESS",
            "message": "LLM secret synced successfully"
        },
        {
            "step_name": "import_bundles",
            "status": "IN_PROGRESS",
            "message": "Started importing bundles for vertical: firewall",
            "async_tasks": [
                {
                    "id": "12345",
                    "status_url": "/api/v1/ai-assistants/platform/firewall/status"
                }
            ]
        }
    ]
}
boolean
overall_success
Required  

True if no reconciliation steps FAILED.

array of object
results
Required  

Results for each reconciliation step.


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Reconciliation encountered error.

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/ai-assistants/platform/reconcile